## pyspectral 0.10.4+ds

=== requirements.txt ===
python-geotiepoints>=1.1.1
numpy>=1.5.1
scipy>=0.14
h5py>=2.5
six

## pyspectral 0.8.6+ds

=== debian/changelog ===
pyspectral (0.8.6+ds-1) unstable; urgency=medium

  * Initial version (Closes: #917351)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 26 Dec 2018 16:46:35 +0000

=== debian/control ===
Source: pyspectral
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-appdirs,
               python3-dask,
               python3-docutils,
               python3-geotiepoints,
               python3-h5py,
               python3-matplotlib,
               python3-numpy,
               python3-requests,
               python3-trollsift,
               python3-scipy,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-tqdm,
               python3-xlrd,
               python3-yaml
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyspectral
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyspectral.git
Homepage: https://github.com/pytroll/pyspectral

Package: python3-pyspectral
Architecture: all
Depends: python3-appdirs,
         python3-dask,
         python3-geotiepoints,
         python3-h5py,
         python3-numpy,
         python3-requests,
         python3-scipy,
         python3-six,
         python3-yaml,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-matplotlib,
            python3-tqdm,
            ${python3:Recommends}
Suggests: python3-pandas,
          python3-pyspectral-doc,
          python3-trollsift,
          python3-xlrd,
          ${python3:Suggests}
Description: Reading and manipulaing satellite sensor spectral responses
 Reading and manipulaing satellite sensor spectral responses and the
 solar spectrum, to perform various corrections to VIS and NIR band data.
 .
 Given a passive sensor on a meteorological satellite PySpectral
 provides the relative spectral response (rsr) function(s) and offer
 some basic operations like convolution with the solar spectrum to
 derive the in band solar flux, for instance.
 .
 The focus is on imaging sensors like AVHRR, VIIRS, MODIS, ABI, AHI,
 OLCI and SEVIRI. But more sensors are included and if others are
 needed they can be easily added. With PySpectral it is possible to
 derive the reflective and emissive parts of the signal observed in any
 NIR band around 3-4 microns where both passive terrestrial emission
 and solar backscatter mix the information received by the satellite.
 Furthermore PySpectral allows correcting true color imagery for the
 background (climatological) atmospheric signal due to Rayleigh
 scattering of molecules, absorption by atmospheric gases and aerosols,
 and Mie scattering of aerosols.

Package: python3-pyspectral-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: python3-pyspectral,
          www-browser
Description: Reading and manipulaing satellite sensor spectral responses - documentation
 Reading and manipulaing satellite sensor spectral responses and the
 solar spectrum, to perform various corrections to VIS and NIR band data.
 .
 Given a passive sensor on a meteorological satellite PySpectral
 provides the relative spectral response (rsr) function(s) and offer
 some basic operations like convolution with the solar spectrum to
 derive the in band solar flux, for instance.
 .
 The focus is on imaging sensors like AVHRR, VIIRS, MODIS, ABI, AHI,
 OLCI and SEVIRI. But more sensors are included and if others are
 needed they can be easily added. With PySpectral it is possible to
 derive the reflective and emissive parts of the signal observed in any
 NIR band around 3-4 microns where both passive terrestrial emission
 and solar backscatter mix the information received by the satellite.
 Furthermore PySpectral allows correcting true color imagery for the
 background (climatological) atmospheric signal due to Rayleigh
 scattering of molecules, absorption by atmospheric gases and aerosols,
 and Mie scattering of aerosols.
 .
 This package includes the PySpectral documentation in HTML format.

Package: pyspectral-bin
Architecture: all
Section: utils
Depends: python3-pyspectral (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: python3-pyspectral-doc,
          ${python3:Suggests}
Description: Reading and manipulaing satellite sensor spectral responses - scripts
 Reading and manipulaing satellite sensor spectral responses and the
 solar spectrum, to perform various corrections to VIS and NIR band data.
 .
 Given a passive sensor on a meteorological satellite PySpectral
 provides the relative spectral response (rsr) function(s) and offer
 some basic operations like convolution with the solar spectrum to
 derive the in band solar flux, for instance.
 .
 The focus is on imaging sensors like AVHRR, VIIRS, MODIS, ABI, AHI,
 OLCI and SEVIRI. But more sensors are included and if others are
 needed they can be easily added. With PySpectral it is possible to
 derive the reflective and emissive parts of the signal observed in any
 NIR band around 3-4 microns where both passive terrestrial emission
 and solar backscatter mix the information received by the satellite.
 Furthermore PySpectral allows correcting true color imagery for the
 background (climatological) atmospheric signal due to Rayleigh
 scattering of molecules, absorption by atmospheric gases and aerosols,
 and Mie scattering of aerosols.
 .
 This package provides utilities and executable scripts.

## pyspectral 0.8.9+ds

=== debian/changelog ===
pyspectral (0.8.9+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * Set distribution to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Jul 2019 05:47:10 +0000

pyspectral (0.8.7+ds-1) experimental; urgency=medium

  * New upstream release.
  * Install files in pyspectral/etc.
  * Updated debian/copyright.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 22 Apr 2019 12:02:45 +0200

## pyspectral 0.9.5%2Bds

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PSP_CONFIG_FILE=debian/pyspectral_testcfg.yaml

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r *.egg-info

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc build/html # HTML generator
	# PYTHONPATH=. python3 -m sphinx -N -bman doc build/man # Manpage generator
endif

override_dh_auto_install:
	dh_auto_install

	for f in debian/tmp/usr/bin/*.py; do \
		mv $$f $$(dirname $$f)/$$(basename $$f .py);\
	done

## pyspectral 0.9.5+ds

=== debian/changelog ===
pyspectral (0.9.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 05 Feb 2020 07:15:56 +0000

pyspectral (0.9.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 31 Dec 2019 07:23:03 +0000

pyspectral (0.9.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * debian/patches:
    - refresh all patches
  * debian/patches:
    - new 0003-No-setuptools-scm.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Dec 2019 09:27:35 +0000

pyspectral (0.9.2+ds-2) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * debian/control:
    - explicitly specify Rules-Requires-Root: no

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 04 Oct 2019 05:21:28 +0000

pyspectral (0.9.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 02 Sep 2019 06:04:23 +0000

pyspectral (0.8.9+ds-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Use debhelper-compat instead of debian/compat.
  * Set compat to 12.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Aug 2019 17:19:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
+Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 Priority: optional
-Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-appdirs,
@@ -23,7 +24,7 @@
                python3-tqdm,
                python3-xlrd,
                python3-yaml
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyspectral
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyspectral.git
 Homepage: https://github.com/pytroll/pyspectral

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyspectral)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyspectral-$1.$2/,\
repacksuffix=+ds \
https://github.com/pytroll/pyspectral/releases \
(?:.*?/archive/)?(?:rel|v|pyspectral)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyspectral 0.10.0+ds

=== debian/changelog ===
pyspectral (0.10.0+ds-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - python-pyspectral-doc is now Multi-Arch: foreig
    - add build dependency on pytest
  * Fix testing.
  * Update debian/copyright.

  [ Bas Couwenberg ]
  * Explicitly remove __pycache__ in dh_auto_install override.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Jun 2020 16:56:50 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                python3-h5py,
                python3-matplotlib,
                python3-numpy,
+               python3-pytest,
                python3-requests,
                python3-trollsift,
                python3-scipy,
@@ -72,6 +73,7 @@
 
 Package: python3-pyspectral-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PSP_CONFIG_FILE=debian/pyspectral_testcfg.yaml
+export PYBUILD_TEST_ARGS=-k 'not test_rayleigh'
+# export PSP_CONFIG_FILE=debian/pyspectral_testcfg.yaml
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -28,3 +29,5 @@
 	for f in debian/tmp/usr/bin/*.py; do \
 		mv $$f $$(dirname $$f)/$$(basename $$f .py);\
 	done
+
+	$(RM) -r debian/tmp/usr/lib/python3.8/dist-packages/pyspectral/__pycache__/

## pyspectral 0.10.4%2Bds

=== debian/changelog ===
pyspectral (0.10.4+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 10 Dec 2020 06:34:59 +0000

pyspectral (0.10.3+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 06 Dec 2020 08:42:26 +0000

pyspectral (0.10.2+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Use wildcard pattern to remove __pycache__ directory.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refresh all patches
    - improve 0003-No-setuptools-scm.patch
  * Update debian/copyright.
  * Add build dependency on python3-xarray.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 24 Nov 2020 18:45:44 +0000

pyspectral (0.10.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches
    - set forwarded field

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 07 Oct 2020 07:32:11 +0000

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,10 @@
                python3-six,
                python3-sphinx,
                python3-tqdm,
+               python3-xarray,
                python3-xlrd,
                python3-yaml
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyspectral
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyspectral.git
 Homepage: https://github.com/pytroll/pyspectral

## pyspectral 0.10.4+ds

=== debian/rules ===
--- 
+++ 
@@ -30,4 +30,4 @@
 		mv $$f $$(dirname $$f)/$$(basename $$f .py);\
 	done
 
-	$(RM) -r debian/tmp/usr/lib/python3.8/dist-packages/pyspectral/__pycache__/
+	$(RM) -r debian/tmp/usr/lib/python*/dist-packages/pyspectral/__pycache__/

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\

## pyspectral 0.10.6+ds

=== debian/changelog ===
pyspectral (0.10.6+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * New upstrean release.
  * Update d/copyright file.
  * debian/control:
    - drop dependency on python3-six.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Dec 2021 09:36:31 +0000

pyspectral (0.10.5+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update debian/copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 18 Aug 2021 07:50:30 +0000

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,12 @@
                python3-trollsift,
                python3-scipy,
                python3-setuptools,
-               python3-six,
                python3-sphinx,
                python3-tqdm,
                python3-xarray,
                python3-xlrd,
                python3-yaml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyspectral
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyspectral.git
 Homepage: https://github.com/pytroll/pyspectral
@@ -40,7 +39,6 @@
          python3-numpy,
          python3-requests,
          python3-scipy,
-         python3-six,
          python3-yaml,
          ${python3:Depends},
          ${misc:Depends}

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyspectral)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyspectral-$1.$2/,\
repacksuffix=+ds \
https://github.com/pytroll/pyspectral/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pyspectral)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyspectral 0.11.0+ds

=== debian/changelog ===
pyspectral (0.11.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 06 Mar 2022 08:39:23 +0000

## pyspectral 0.12.3+ds

=== debian/changelog ===
pyspectral (0.12.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 25 Nov 2022 08:13:51 +0000

pyspectral (0.12.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 28 Oct 2022 06:38:17 +0000

pyspectral (0.12.0+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Fix d/copyright formatting.
  * Update d/copyright file.
  * debian/control:
    - add build-dependency on python3-responses.
  * Add autopkgtests configuration (d/tests).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 12 Oct 2022 06:09:28 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-numpy,
                python3-pytest,
                python3-requests,
+               python3-responses,
                python3-trollsift,
                python3-scipy,
                python3-setuptools,
@@ -25,7 +26,7 @@
                python3-xarray,
                python3-xlrd,
                python3-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyspectral
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyspectral.git
 Homepage: https://github.com/pytroll/pyspectral

## pyspectral 0.13.0+ds

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pyspectral.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pyspectral.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pyspectral"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pyspectral"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyspectral (0.13.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Move the common package description to source.
  * debian/patches:
    - Refresh all patches.
  * Fix d/python3-pyspectral.lintian-overrides.
  * Fix lintian warning in documentation file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Dec 2023 21:19:50 +0000

pyspectral (0.12.5+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Add py3dist override for h5py.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use execute_after instead of override in rules file.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Use <!nodoc> and <!nocheck> markers.
    - Add build dependency on python3-setuptools-scm.
    - Add build dependency on pybuild-plugin-pyproject.
  * Update d/copyright file.
  * debian/patches:
    - Drop 0003-No-setuptools-scm.patch.
    - Refresh remaining patches.
  * Update d/clean.
  * Switch to autopkgtest-pkg-pybuild and remove the
    no longer needed d/tests folder.
  * Update d/python3-pyspectral.install.
  * New d/python3-pyspectral.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Sep 2023 10:51:33 +0000

=== debian/control ===
Source: pyspectral
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-appdirs,
               python3-dask,
               python3-docutils,
               python3-geotiepoints,
               python3-h5py,
               python3-matplotlib,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-responses,
               python3-trollsift,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
               python3-tqdm,
               python3-xarray,
               python3-xlrd,
               python3-yaml
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyspectral
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyspectral.git
Homepage: https://github.com/pytroll/pyspectral
Description: Reading and manipulaing satellite sensor spectral responses
 Reading and manipulaing satellite sensor spectral responses and the
 solar spectrum, to perform various corrections to VIS and NIR band data.
 .
 Given a passive sensor on a meteorological satellite PySpectral
 provides the relative spectral response (rsr) function(s) and offer
 some basic operations like convolution with the solar spectrum to
 derive the in band solar flux, for instance.
 .
 The focus is on imaging sensors like AVHRR, VIIRS, MODIS, ABI, AHI,
 OLCI and SEVIRI. But more sensors are included and if others are
 needed they can be easily added. With PySpectral it is possible to
 derive the reflective and emissive parts of the signal observed in any
 NIR band around 3-4 microns where both passive terrestrial emission
 and solar backscatter mix the information received by the satellite.
 Furthermore PySpectral allows correcting true color imagery for the
 background (climatological) atmospheric signal due to Rayleigh
 scattering of molecules, absorption by atmospheric gases and aerosols,
 and Mie scattering of aerosols.

Package: python3-pyspectral
Architecture: all
Depends: python3-appdirs,
         python3-dask,
         python3-geotiepoints,
         python3-h5py,
         python3-requests,
         python3-scipy,
         python3-yaml,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-matplotlib,
            python3-tqdm
Suggests: python3-pandas,
          python3-pyspectral-doc,
          python3-trollsift,
          python3-xlrd
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python3-pyspectral-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: python3-pyspectral,
          www-browser
Description: ${source:Synopsis} -- documentation
 ${source:Extended-Description}
 .
 This package includes the PySpectral documentation in HTML format.

Package: pyspectral-bin
Architecture: all
Section: utils
Depends: python3-pyspectral (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Suggests: python3-pyspectral-doc
Description: ${source:Synopsis} -- scripts
 ${source:Extended-Description}
 .
 This package provides utilities and executable scripts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_TEST_ARGS=-k 'not test_rayleigh' --pyargs pyspectral
# export PSP_CONFIG_FILE=debian/pyspectral_testcfg.yaml

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc .pybuild/build/html # HTML generator
	# PYTHONPATH=. python3 -m sphinx -N -bman doc .pybuild/build/man # Manpage generator
	sed -i -E "s:'.+/pyspectral/data/e490_00a.dat':'/usr/lib/python3/dist-packages/pyspectral/data/e490_00a.dat':g" .pybuild/build/html/api.html
endif

execute_after_dh_auto_install:
	for f in debian/tmp/usr/bin/*.py; do \
		mv $$f $$(dirname $$f)/$$(basename $$f .py);\
	done

	$(RM) -r debian/tmp/usr/lib/python*/dist-packages/pyspectral/__pycache__/

override_dh_numpy3:
	dh_numpy3 -p python3-pyspectral

## pyspectral 0.13.2+ds

=== debian/changelog ===
pyspectral (0.13.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Jun 2024 09:41:58 +0000

pyspectral (0.13.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop 0003-Switch-to-platformdirs.patch, applied upstream.
    - Refresh remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 May 2024 05:54:21 +0000

pyspectral (0.13.0+ds-3) unstable; urgency=medium

  * debian/patches:
    - New 0003-Switch-to-platformdirs.patch (Closes: #1067988).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 29 Mar 2024 18:05:06 +0000

pyspectral (0.13.0+ds-2) unstable; urgency=medium

  * debian/rules:
    - Delete .pytest_cache after build (Closes: #1067344).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Mar 2024 17:28:11 +0000

## pyspectral 0.13.3+ds

=== debian/changelog ===
pyspectral (0.13.3+ds-1) unstable; urgency=medium

  * New upstream release. 

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Jul 2024 10:09:22 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                dh-sequence-sphinxdoc,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-appdirs,
                python3-dask,
                python3-docutils,
                python3-geotiepoints,
                python3-h5py,
                python3-matplotlib,
                python3-numpy,
+               python3-platformdirs,
                python3-pytest <!nocheck>,
                python3-requests,
                python3-responses,
@@ -57,10 +57,10 @@
 
 Package: python3-pyspectral
 Architecture: all
-Depends: python3-appdirs,
-         python3-dask,
+Depends: python3-dask,
          python3-geotiepoints,
          python3-h5py,
+         python3-platformdirs,
          python3-requests,
          python3-scipy,
          python3-yaml,

## pyspectral 0.13.5+ds

=== debian/changelog ===
pyspectral (0.13.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 26 Sep 2024 05:35:47 +0000

pyspectral (0.13.4+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Aug 2024 06:23:48 +0000

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                python3-xarray,
                python3-xlrd,
                python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyspectral
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyspectral.git
 Homepage: https://github.com/pytroll/pyspectral

## pyspectral 0.13.6+ds

=== debian/changelog ===
pyspectral (0.13.6+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/control:
    - Add dependency on openpyxl.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 09:31:26 +0000

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,8 @@
                python3-h5py,
                python3-matplotlib,
                python3-numpy,
+               python3-numpy-dev,
+               python3-openpyxl,
                python3-platformdirs,
                python3-pytest <!nocheck>,
                python3-requests,
@@ -31,7 +33,7 @@
                python3-xarray,
                python3-xlrd,
                python3-yaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyspectral
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyspectral.git
 Homepage: https://github.com/pytroll/pyspectral
@@ -68,7 +70,8 @@
          ${misc:Depends}
 Recommends: python3-matplotlib,
             python3-tqdm
-Suggests: python3-pandas,
+Suggests: python3-openpyxl,
+          python3-pandas,
           python3-pyspectral-doc,
           python3-trollsift,
           python3-xlrd

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_TEST_ARGS=-k 'not test_rayleigh' --pyargs pyspectral
+export PYBUILD_AFTER_TEST=${RM} -r {build_dir}/.pytest_cache
 # export PSP_CONFIG_FILE=debian/pyspectral_testcfg.yaml
 
 %:

## pyspectral 0.14.0+ds

=== debian/changelog ===
pyspectral (0.14.0+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use debrebuild instead of reprotest.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright:
    - Upstream package and debian packaging re-licensed as Apache-2.0.
    - Update copyright dates.
  * debian/control:
    - Add dependency on python3-sphinx-rtd-theme.
  * debian/patches:
    - Refresh all patches.
    - New 0003-Fix-shebang-strings.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Feb 2026 19:40:49 +0000

## pyspectral 0.14.1+ds

=== debian/changelog ===
pyspectral (0.14.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Re-enable test_rayleigh.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Feb 2026 17:27:16 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,6 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
@@ -29,11 +27,12 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                python3-tqdm,
                python3-xarray,
                python3-xlrd,
                python3-yaml
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyspectral
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyspectral.git
 Homepage: https://github.com/pytroll/pyspectral

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PYBUILD_TEST_ARGS=-k 'not test_rayleigh' --pyargs pyspectral
+export PYBUILD_TEST_ARGS=--pyargs pyspectral
 export PYBUILD_AFTER_TEST=${RM} -r {build_dir}/.pytest_cache
 # export PSP_CONFIG_FILE=debian/pyspectral_testcfg.yaml
